% [z,num] = CoRStereo(imgid)
%
% Compute the disparity map using the CoRStereo method. Returns the
% consensus map as z, and the pointwise confidence measure |J_n| as
% num. imgid is the numerical ID of the input image pair (in the KITTI
% dataset). Note that z is the disparity map with respect to the
% left image, and will have negative values.
%
% Copyright (C) 2014, Ayan Chakrabarti <ayanc@ttic.edu>
function [z,num] = CoRStereo(imgid)

global lambda outcost minlev maxlev

% Get z_sgm and w_sgm for the data cost
[z0,w0] = dosgm(imgid);
% Compute intensity-based factors for outlier cost
imaps = getIMaps(imgid,minlev,maxlev);
% Solve
[z,num] = solveConsensus(z0,w0,minlev,maxlev,lambda,outcost,imaps);