/*
Call SGM implementation from Yamaguchi et al.

Copyright (c) 2014, Ayan Chakrabarti <ayanc@ttic.edu>
*/

#include <iostream>
#include <fstream>
#include <string>
#include <vector>
#include <png++/png.hpp>
#include "SGMStereo.h"

int main(int argc, char* argv[]) {

	if (argc < 4) {
		std::cerr << "usage: sgm left right outfile" << std::endl;
		exit(1);
	}
    
	std::string leftImageFilename = argv[1];
	std::string rightImageFilename = argv[2];
	std::ofstream outdata (argv[3], std::ofstream::binary);
	float * disp;
	int w,h;
    
	png::image<png::rgb_pixel> leftImage(leftImageFilename);
	png::image<png::rgb_pixel> rightImage(rightImageFilename);

	SGMStereo sgm;

	w = leftImage.get_width();
	h = leftImage.get_height();

	disp = (float *) malloc(w*h*sizeof(float));
	sgm.compute(leftImage, rightImage, disp);

	outdata.write((char *)disp,w*h*sizeof(float));
	outdata.close();
	free(disp);
}
