





#ifndef ISPC_VECOPS_H
#define ISPC_VECOPS_H

#include <stdint.h>



#ifdef __cplusplus
namespace ispc { /* namespace */
#endif 




#if defined(__cplusplus) && !defined(__ISPC_NO_EXTERN_C)
extern "C" {
#endif 
    extern void vec_acc(double * out, double * in1, int32_t count);
    extern void vec_accSHORT(uint16_t * out, uint16_t * in1, int32_t count);
    extern void vec_add2(double * out, double * in1, double * in2, int32_t count);
    extern void vec_add2SHORT(uint16_t * out, uint16_t * in1, uint16_t * in2, int32_t count);
    extern void vec_add4(double * out, double * in1, double * in2, double * in3, double * in4, int32_t count);
    extern void vec_add4SHORT(uint16_t * out, uint16_t * in1, uint16_t * in2, uint16_t * in3, uint16_t * in4, int32_t count);
    extern void vec_aplb(double * out, double * in1, double * in2, double lambda, int32_t count);
    extern void vec_div(double * out, double * in1, int32_t count);
    extern void vec_m3si(double * out, double * in1, double * in2, double * in3, int32_t count);
    extern void vec_macc(double * out, double * in1, double * in2, int32_t count);
    extern void vec_msi(double * out, double * in1, double * in2, int32_t count);
    extern void vec_mul(double * out, double * in1, double * in2, int32_t count);
#if defined(__cplusplus) && !defined(__ISPC_NO_EXTERN_C)
} /* end extern C */
#endif 


#ifdef __cplusplus
} /* namespace */
#endif 

#endif 
